package com.ar.sketch.paint.drawing.adapter;

import android.content.Context;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.ar.sketch.paint.drawing.api.OnClick;
import com.ar.sketch.paint.drawing.databinding.ListChildBinding;
import com.ar.sketch.paint.drawing.tool.Utils;

import java.util.List;

public class listChild extends RecyclerView.Adapter<listChild.ChildVH> {


    private Context mCon;
    private List<String> data;

    private OnClick listener;


    public void setListener(OnClick listener) {
        this.listener = listener;
    }

    public listChild(Context mCon, List<String> bitmapList ) {
        this.mCon = mCon;
        data = bitmapList;

    }


    @NonNull
    @Override
    public ChildVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {


        return new ChildVH( ListChildBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull ChildVH holder, int position) {

        String name = data.get(position);
        Bitmap bitmap = Utils.loadImageFromAssets(mCon, name);
        holder.binding.imPreview.setImageBitmap(bitmap);
        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (listener != null) {
                    listener.onClickItem(1, name);
                }
            }
        });



    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class ChildVH extends RecyclerView.ViewHolder {


        private ListChildBinding binding;


        public ChildVH(@NonNull ListChildBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
